summaryrefslogtreecommitdiffstats
path: root/source/l/pipewire/fetch-wireplumber.sh
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2023-04-13 22:25:18 +0000
committer Eric Hameleers <alien@slackware.com>2023-04-14 01:40:28 +0200
commit888029128ef42e8d142e9f859e3892140dfd816c (patch)
treef590dbc34526fdeb7b4242ad7907b6a5e78d7ba9 /source/l/pipewire/fetch-wireplumber.sh
parent701cf3165a2eaae89658ea8ba070e344d8f24385 (diff)
downloadcurrent-888029128ef42e8d142e9f859e3892140dfd816c.tar.gz
current-888029128ef42e8d142e9f859e3892140dfd816c.tar.xz
Thu Apr 13 22:25:18 UTC 202320230413222518
a/kernel-generic-6.1.24-x86_64-1.txz: Upgraded. a/kernel-huge-6.1.24-x86_64-1.txz: Upgraded. a/kernel-modules-6.1.24-x86_64-1.txz: Upgraded. a/tcsh-6.24.09-x86_64-1.txz: Upgraded. ap/vim-9.0.1450-x86_64-1.txz: Upgraded. d/kernel-headers-6.1.24-x86-1.txz: Upgraded. d/mercurial-6.4.1-x86_64-1.txz: Upgraded. d/rust-bindgen-0.65.1-x86_64-1.txz: Upgraded. k/kernel-source-6.1.24-noarch-1.txz: Upgraded. kde/digikam-8.0.0-x86_64-1.txz: Upgraded. l/gobject-introspection-1.76.1-x86_64-1.txz: Upgraded. l/pipewire-0.3.69-x86_64-1.txz: Upgraded. When enabled, use wireplumber rather than the deprecated media-session. Thanks to saxa for the help. :-) n/openvpn-2.6.3-x86_64-1.txz: Upgraded. n/php-8.2.5-x86_64-1.txz: Upgraded. This is a bugfix release. For more information, see: https://www.php.net/ChangeLog-8.php#8.2.5 xap/vim-gvim-9.0.1450-x86_64-1.txz: Upgraded. isolinux/initrd.img: Rebuilt. kernels/*: Upgraded. usb-and-pxe-installers/usbboot.img: Rebuilt.
Diffstat (limited to 'source/l/pipewire/fetch-wireplumber.sh')
-rwxr-xr-xsource/l/pipewire/fetch-wireplumber.sh38
1 files changed, 38 insertions, 0 deletions
diff --git a/source/l/pipewire/fetch-wireplumber.sh b/source/l/pipewire/fetch-wireplumber.sh
new file mode 100755
index 000000000..4153a5b06
--- /dev/null
+++ b/source/l/pipewire/fetch-wireplumber.sh
@@ -0,0 +1,38 @@
+#!/bin/sh
+
+# Copyright 2022, 2023 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+set -o errexit
+
+# Clear download area:
+rm -rf wireplumber wireplumber.tar wireplumber.tar.lz
+
+# Clone repository:
+git clone https://gitlab.freedesktop.org/pipewire/wireplumber.git
+
+# Cleanup. We're not packing up the whole git repo.
+rm -rf wireplumber/.git*
+tar cf wireplumber.tar wireplumber
+plzip -9 -n 6 -f wireplumber.tar
+rm -rf wireplumber
+echo
+echo "wireplumber source repo packaged"
+echo